<?php

namespace App\Models;

# use Illuminate\Database\Eloquent\Model;

class Bill extends Model
{
    protected $table = 'bill';

    public function careMonth() {
        return $this->belongsTo(CareMonth::class);
    }

    public function note() {
        return $this->belongsTo(Note::class);
    }

    public function client()
    {
        return $this->hasOne(Client::class, 'id', 'client_id');
    }

    public function hcp() {
        return $this->hasOne(Pro::class, 'id', 'hcp_pro_id');
    }
}
